# -*- coding: utf-8 -*-

import mysql.simplesql as sql

tables = ['tmcscalegroup']


def insertTmcScaleGroup(tmcscalegroup):
    yield sql.Insert(table='tmcscalegroup', values={
        'tmcscalegroupcode': tmcscalegroup.get('tmcscalegroupcode', None),
        'name': tmcscalegroup.get('name', None),
        'description': tmcscalegroup.get('description', None)
    })


def deleteTmcScaleGroup(tmcscalegroupcode):
    yield sql.Delete(table='tmcscalegroup', whereFields=['tmcscalegroupcode'], whereValues=[tmcscalegroupcode])


def deleteTmcScaleGroupByObj(tmcscalegroup):
    for i in deleteTmcScaleGroup(tmcscalegroup.get('tmcscalegroupcode', None)):
        yield i


def clearTmcScaleGroup():
    yield sql.DeleteAll(table='tmcscalegroup')
