import mysql.simplesql as sql

tables = ['aspectvaluesetvalues']


def insertAspectValueSetValues(aspectvaluesetvalues):
    yield sql.Insert(table='aspectvaluesetvalues', values={
        'aspectcode': aspectvaluesetvalues.get('aspectcode', ''),
        'aspectvaluecode': aspectvaluesetvalues.get('aspectvaluecode', ''),
        'aspectvaluesetcode': aspectvaluesetvalues.get('aspectvaluesetcode', 0),
        'productsectioncode': aspectvaluesetvalues.get('productsectioncode', ''),
        'tmc_code': aspectvaluesetvalues.get('tmc_code', '')
    })


def deleteAspectValueSetValues(aspectvaluesetvalues):
    yield sql.Delete(table='aspectvaluesetvalues',
            whereFields=['aspectcode', 'aspectvaluecode', 'aspectvaluesetcode', 'productsectioncode', 'tmc_code'],
            whereValues=[aspectvaluesetvalues.get('aspectcode', ''), aspectvaluesetvalues.get('aspectvaluecode', ''),
                aspectvaluesetvalues.get('aspectvaluesetcode', 0), aspectvaluesetvalues.get('productsectioncode', ''),
                aspectvaluesetvalues.get('tmc_code', '')])


def clearAspectValueSetValues():
    yield sql.DeleteAll(table='aspectvaluesetvalues')
