import mysql.simplesql as sql

tables = ['cashconfig']


def insertCashConfig(cashconfig):
    yield sql.Insert(table='cashconfig', values={
        'name': cashconfig.get('name', None),
        'value': cashconfig.get('value', '')
    })


def clearCashConfig():
    yield sql.DeleteAll(table='cashconfig')


def deleteCashConfig(cashconfig):
    name = cashconfig.get('name', None)
    if name:
        yield sql.Delete(table='cashconfig', whereFields=['name'], whereValues=[name])


def deleteCashConfigByName(name):
    yield sql.Delete(table='cashconfig', whereFields=['name'], whereValues=[name])
