import mysql.simplesql as sql

tables = ['command']


def insertCommand(command):
    yield sql.Insert(table='command', values={
        'commandcode': command.get('commandcode', 0),
        'commandname': command.get('commandname', None),
        'description': command.get('description', None),
        'logmode': command.get('logmode', 0)
    })


def deleteCommand(command):
    yield sql.Delete(table='command', whereFields=['commandcode'], whereValues=[command.get('commandcode', 0)])


def deleteCommandByCode(commandcode):
    yield sql.Delete(table='command', whereFields=['commandcode'], whereValues=[commandcode])


def clearCommand():
    yield sql.DeleteAll(table='command')
