import mysql.simplesql as sql

tables = ['mcevent']


def insertEvent(event):
    yield sql.Insert(table='cmevent', values={
        'eventname': event.get('eventname', None),
        'eventdescription': event.get('eventdescription', None),
        'macrocode': event.get('macrocode', 0),
    })


def deleteEvent(event):
    yield sql.Delete(table='cmevent', whereFields=['eventname'], whereValues=[event.get('eventname', None)])


def deleteEventByName(eventname):
    yield sql.Delete(table='cmevent', whereFields=['eventname'], whereValues=[eventname])


def clearEvent():
    yield sql.DeleteAll(table='cmevent')
